Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.matrix.cls
Class SubclassesMatrixFilter

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.matrix.cls.SubclassesMatrixFilter

All Implemented Interfaces:
  DependentMatrixFilter, MatrixFilter

    public class SubclassesMatrixFilter

extends Object
implements DependentMatrixFilter

Author:
  Holger Knublauch

Constructor Summary
`SubclassesMatrixFilter(RDFSNamedClass parentClass)`

Method Summary
`Collection` | `getInitialValues()` Gets the values that shall be taken to build up the contents of the matrix.
`String` | `getName()` Gets the name of the filter for display purposes (the tab name).
`boolean` | `isDependentOn(RDFResource instance)` Called after any RDFResource has been deleted from the ontology.
`boolean` | `isSuitable(RDFResource instance)` Checks whether a given Frame meets the requirements of this filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubclassesMatrixFilter

    public SubclassesMatrixFilter(RDFSNamedClass parentClass)

Method Detail

### getInitialValues

    public Collection getInitialValues()

  Description copied from interface: `MatrixFilter`
  Gets the values that shall be taken to build up the contents of the matrix. These values will not be filtered using the isSuitable method.

  Specified by:
    `getInitialValues` in interface `MatrixFilter`
  Returns:
    the initial values (Frames)

### getName

    public String getName()

  Description copied from interface: `MatrixFilter`
  Gets the name of the filter for display purposes (the tab name).

  Specified by:
    `getName` in interface `MatrixFilter`
  Returns:
    the name

### isDependentOn

    public boolean isDependentOn(RDFResource instance)

  Description copied from interface: `DependentMatrixFilter`
  Called after any RDFResource has been deleted from the ontology.

  Specified by:
    `isDependentOn` in interface `DependentMatrixFilter`
  Parameters:
    `instance` - the instance that has been deleted
  Returns:
    true if the associated table must be removed

### isSuitable

    public boolean isSuitable(RDFResource instance)

  Description copied from interface: `MatrixFilter`
  Checks whether a given Frame meets the requirements of this filter.

  Specified by:
    `isSuitable` in interface `MatrixFilter`
  Parameters:
    `instance` - the Frame to test
  Returns:
    true if the Frame shall be included, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.